Enviar Mensaje
curl --request POST \
--url https://api.plazbot.com/api/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"content": "<string>",
"recipientPhone": "<string>",
"workspaceId": "<string>",
"conversationId": "<string>"
}
'import requests
url = "https://api.plazbot.com/api/message"
payload = {
"content": "<string>",
"recipientPhone": "<string>",
"workspaceId": "<string>",
"conversationId": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
content: '<string>',
recipientPhone: '<string>',
workspaceId: '<string>',
conversationId: '<string>'
})
};
fetch('https://api.plazbot.com/api/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"contactId": "<string>",
"message": {
"id": "<string>",
"messageWhatsappId": "<string>",
"contactId": "<string>",
"content": "<string>",
"workspaceId": "<string>",
"recipientPhone": "<string>",
"externalReferenceId": "<string>",
"platformId": "<string>",
"answerAgentId": "<string>",
"answerType": "<string>",
"type": "<string>",
"from": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"conversationId": "<string>",
"platformType": "<string>",
"files": [
"<string>"
]
}
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Message
Send Message
Envia un mensaje de WhatsApp al cliente. No se trata de una plantilla. Si ha pasado el tiempo permitido por WhatsApp (24 horas), el mensaje no llegara y se debera usar el servicio de plantillas.
POST
/
api
/
message
Enviar Mensaje
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Identificador del agente que envia el mensaje
Body
application/json
Response
Mensaje enviado exitosamente
⌘I

